# File trwnvall.py
# Part of the trgensit package.
#
# * Functionality
#
# Generates the auxiliary navigation file trWNav.xml recursively starting from
# the current working directory down to all child directories
#
#
# Copyright 2019-2023 Dr. Thomas Redelberger, redetho@gmx.de
# This code is open source according to GPL2.
# See file COPYING.TXT
#
# * Pre-requisites
#
# - Nothing beyond python
#
#
# $Id: trwnvall.py 1.1 2020/03/20 09:11:43 redetho Exp redetho $


import pathlib

import trwnavs


for pathOb in pathlib.Path.cwd().glob('**'):
    if (pathOb.parts[-1] == 'RCS'): continue    # ignore special directories
    trwnavs.generateNavFile(pathOb)


######################## end of trwnvall.py ##########################
